#!/bin/sh

/etc/init.d/ltaudit.rc stop > /dev/null 2>&1

while [ -f /var/run/ltaudit.pid ]
do
	sleep 1
done

status=$?

for file in `ls ../config/*.rpm`
do
	echo $file | grep i586 > /dev/null
	FILE32=$?
	uname -m | grep i686 > /dev/null
	ARCH32=$?

	if [ $FILE32 -eq 0 -a $ARCH32 -eq 0 ]
	then
		rpm -U ../config/$file
	elif [ $FILE32 -ne 0 -a $ARCH32 -ne 0 ]
	then
		rpm -U ../config/$file
	else
		echo "The RPM file is compatible" >> ../log/ltstatus.log
	fi

	rm -f ../config/$file
done

/etc/init.d/ltaudit.rc start > /dev/null 2>&1
